Package ru.bitel.bgbilling.modules.bill.common.bean

# Class DocumentSendParameters

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.modules.bill.common.bean.DocumentSendParameters

All Implemented Interfaces:
  `ContractIdable`

public class DocumentSendParameters extends ContractId
Все данные для рассылки на почту счетов/актов

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `DocumentSendParameters.SendingDataType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DocumentSendParameters()`
  `DocumentSendParameters(List<Integer> billIds, List<Integer> invoiceIds)`
  `DocumentSendParameters(List<Integer> billIds, List<Integer> invoiceIds, DocumentSendParameters.SendingDataType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Integer>`
  `getBillIds()`
  `List<Integer>`
  `getInvoiceIds()`
  `int`
  `getModuleId()`
  `DocumentSendParameters.SendingDataType`
  `getType()`
  `int`
  `getUserId()`
  `DocumentSendParameters`
  `setContractId(int contractId)`
  `DocumentSendParameters`
  `setModuleId(int moduleId)`
  `void`
  `setType(DocumentSendParameters.SendingDataType type)`
  `DocumentSendParameters`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DocumentSendParameters

    public DocumentSendParameters()

  - ### DocumentSendParameters

    public DocumentSendParameters(List<Integer> billIds, List<Integer> invoiceIds)

  - ### DocumentSendParameters

    public DocumentSendParameters(List<Integer> billIds, List<Integer> invoiceIds, DocumentSendParameters.SendingDataType type)

- ## Method Details

  - ### getBillIds

    public List<Integer> getBillIds()

  - ### getInvoiceIds

    public List<Integer> getInvoiceIds()

  - ### getType

    public DocumentSendParameters.SendingDataType getType()

  - ### setType

    public void setType(DocumentSendParameters.SendingDataType type)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public DocumentSendParameters setModuleId(int moduleId)

  - ### setContractId

    public DocumentSendParameters setContractId(int contractId)
    Overrides:
      `setContractId` in class `ContractId`

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public DocumentSendParameters setUserId(int userId)